## js-of-ocaml-ocamlbuild 0.0.0+git20220118+852302c8

=== Makefile ===
all:
	dune build @all

tests:
	dune runtest

promote:
	dune promote

fmt:
	dune build @fmt --auto-promote 2> /dev/null || true
	git diff --exit-code

clean:
	dune clean

.PHONY: all tests promote fmt clean

=== debian/changelog ===
js-of-ocaml-ocamlbuild (0.0.0+git20220118+852302c8-2) unstable; urgency=medium

  * Add Breaks+Replaces libjs-of-ocaml{,-dev} (<< 4) (Closes: #1006878)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Mar 2022 07:40:32 +0100

js-of-ocaml-ocamlbuild (0.0.0+git20220118+852302c8-1) unstable; urgency=medium

  * Initial release (Closes: #1006711)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 08:58:27 +0100

=== debian/control ===
Source: js-of-ocaml-ocamlbuild
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 ocamlbuild,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/js-of-ocaml-ocamlbuild
Vcs-Git: https://salsa.debian.org/ocaml-team/js-of-ocaml-ocamlbuild.git
Homepage: https://github.com/ocsigen/js_of_ocaml-ocamlbuild

Package: libjs-of-ocaml-ocamlbuild-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Breaks: libjs-of-ocaml (<< 4), libjs-of-ocaml-dev (<< 4)
Replaces: libjs-of-ocaml (<< 4), libjs-of-ocaml-dev (<< 4)
Description: compiler from OCaml bytecode to JavaScript (ocamlbuild plugin)
 Js_of_ocaml is a compiler from OCaml bytecode to JavaScript. It makes
 it possible to run pure OCaml programs in JavaScript environment like
 browsers and Node.js.
 .
 This package contains the ocamlbuild plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p js_of_ocaml-ocamlbuild --promote-install-files=false @install

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/*/LICENSE*

override_dh_auto_test:
	dune runtest -p js_of_ocaml-ocamlbuild

=== debian/watch ===
version=4
https://github.com/ocsigen/js_of_ocaml-ocamlbuild/tags .*/v?([\d\.]+)\.tar\.gz

## js-of-ocaml-ocamlbuild 5.0

=== debian/changelog ===
js-of-ocaml-ocamlbuild (5.0-2build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:25:08 +0200

js-of-ocaml-ocamlbuild (5.0-2build7) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Mar 2025 07:34:14 +0100

js-of-ocaml-ocamlbuild (5.0-2build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:29:48 +0100

js-of-ocaml-ocamlbuild (5.0-2build5) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:41:06 +0200

js-of-ocaml-ocamlbuild (5.0-2build4) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2024 08:46:14 +0200

js-of-ocaml-ocamlbuild (5.0-2build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:18:29 +0100

js-of-ocaml-ocamlbuild (5.0-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 16:03:23 +0100

js-of-ocaml-ocamlbuild (5.0-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Aug 2023 16:20:22 +0200

js-of-ocaml-ocamlbuild (5.0-2) unstable; urgency=medium

  * Add missing dep to libbase-ocaml-dev in autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Aug 2023 07:13:41 +0200

js-of-ocaml-ocamlbuild (5.0-1) unstable; urgency=medium

  * New upstream release
  * Add autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Aug 2023 09:42:48 +0200

js-of-ocaml-ocamlbuild (0.0.0+git20220118+852302c8-4) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 15:16:29 +0200

js-of-ocaml-ocamlbuild (0.0.0+git20220118+852302c8-3) unstable; urgency=medium

  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 06:48:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,13 @@
  debhelper-compat (= 13),
  ocaml,
  ocaml-dune,
+ ocaml-findlib,
  ocamlbuild,
- dh-ocaml
-Standards-Version: 4.6.0
+ js-of-ocaml <!nocheck>,
+ libbase-ocaml-dev <!nocheck>,
+ nodejs <!nocheck>,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/js-of-ocaml-ocamlbuild
 Vcs-Git: https://salsa.debian.org/ocaml-team/js-of-ocaml-ocamlbuild.git
